%define major 1
%define libname %mklibname paper %{major}
%define develname %mklibname paper -d
%define staticdevelname %mklibname paper -d -s
%define rversion 1.1.8

Summary:	Library for handling paper characteristics
Name:		libpaper
Version:	1.1.24
Release:	%mkrel 3
License:	LGPL
Group:		System/Libraries
URL:		http://packages.debian.org/unstable/source/libpaper
Source0:	http://ftp.debian.org/debian/pool/main/libp/libpaper/%{name}-%{rversion}.tar.xz
Patch:		libpaper-1.1.8-gcc3.3.patch
%ifarch x86_64
BuildRequires:	chrpath
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This package contains a simple library for use by programs needing
to handle papers. It lets program automatically recognize a lot of
different papers with their properties (actually their size).

%package -n	%{libname}
Summary:	Library for handling paper characteristics
Group:		System/Libraries

%description -n	%{libname}
Libraries for paper.

%package -n	%{develname}
Summary:	Library for handling paper characteristics (development files)
Group:		Development/Libraries
Provides:	libpaper-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%mklibname paper 1 -d
Provides:	%mklibname paper 1 -d

%description -n	%{develname}
This package contains the development files for a simple library for use
by programs needing to handle papers. It lets program automatically
recognize a lot of different papers with their properties (actually their
size).

%package -n	%{staticdevelname}
Summary:	Library for handling paper characteristics (development files)
Group:		Development/C
Requires:	%{develname} = %{version}-%{release}
Obsoletes:	%mklibname paper 1 -d -s

%description -n %{staticdevelname}
This package contains the development files for a simple library for use
by programs needing to handle papers. It lets program automatically
recognize a lot of different papers with their properties (actually their
size).

%package -n	paper-utils
Summary:	Library for handling paper characteristics (development files)
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}

%description  -n paper-utils
This package contains the development files for a simple library for use
by programs needing to handle papers. It lets program automatically
recognize a lot of different papers with their properties (actually their
size).

%prep
%setup -q -n libpaper-%{rversion}
%patch -p1

%build
%configure2_5x
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

rm -rf %buildroot/%{_libdir}/*.la

mkdir -p %{buildroot}%{_sysconfdir}
cat > %{buildroot}%{_sysconfdir}/papersize << EOF
# Simply write the paper name. See papersize(5) for possible values.
EOF

%ifarch x86_64
chrpath -d %{buildroot}%{_bindir}/paperconf
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc ChangeLog COPYING debian/changelog
%_includedir/*
%{_libdir}/*.so


%files -n %{staticdevelname}
%defattr(-,root,root)
%{_libdir}/*.a

%files -n paper-utils
%defattr(-,root,root)
%doc README
%config(noreplace) %{_sysconfdir}/papersize
%{_bindir}/paperconf
%{_sbindir}/paperconfig
%{_mandir}/man*/*


%changelog
* Sun May 14 2017 bb2 <bb2> 1.1.24-3pclos2017
- rebuild for 2017

* Sun Feb 20 2011 Texstar <texstar at gmail.com> 1.1.24-2pclos2011
- back down to working 1.1.8

* Thu Feb 10 2011 Texstar <texstar at gmail.com> 1.1.24-1pclos2011
- update for 2010/2011 release
- sync with fedora's patches

* Sun Nov 05 2006 Texstar <texstar@houston.rr.com> 1.1.8-9pclos2007
- Build for PCLinuxOS 2007

